web_app/event/urls.py
from django.urls import path
from .views import CreateEvent, ListEvent, EventDetails, DeleteEvent, UpdateEvent

app_name = 'event'

urlpatterns = [
    path('create/', CreateEvent.as_view(), name='event-create'),
    path('list/', ListEvent.as_view(), name='event-list'),
    path('details/<uuid:pk>/', EventDetails.as_view(), name='event-details'),
    path('delete/<uuid:pk>/', DeleteEvent.as_view(), name='event-delete'),
    path('update/<pk>/', UpdateEvent.as_view(), name='event-update'),
]

web_app/user/urls.py
from django.urls import path, include
from .views import RegisterUserView, LoginUserView, ActivateView, AccountView, DeleteAccount, UserUpdatePassword
from django.contrib.auth.views import LogoutView

app_name = 'user'

urlpatterns = [
    path('register/', RegisterUserView.as_view(), name='register'),
    path('login/', LoginUserView.as_view(), name='login'),
    path('logout/', LogoutView.as_view(), name='logout'),
    path('account/', AccountView.as_view(), name='account'),
    path('account/password/<pk>', UserUpdatePassword.as_view(), name='account-password'),
    path('account/delete/<pk>', DeleteAccount.as_view(), name='account-delete'),
    path('confirm-account/<token>/', ActivateView.as_view(), name='confirm-account'),
]

web_app/templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
    <link type="text/css" rel="stylesheet" href="/static/materialize/css/materialize.css" media="screen,projection"/>
    <link rel='stylesheet' type='text/css' href="{% static 'default.css' %}" />
    <!--Let browser know website is optimized for mobile-->
    <meta name="viewport" content="width=device-width, initial-scale=1.0"/>
    <meta charset="UTF-8">
    <title>Reminder - MZ</title>
    <style>

    </style>
</head>
<body>
<nav>
    <div class="nav-wrapper">
        <a href="{% url 'home' %}" class="brand-logo" style="padding-left: 1rem">Reminder</a>
        <ul id="nav-mobile" class="right hide-on-med-and-down">
            {% if user.is_authenticated %}
                <li><a href="{% url 'event:event-create' %}">Add event</a></li>
                <li><a href="{% url 'event:event-list' %}">List events</a></li>
                <li><a href="{% url 'user:account' %}">My account</a></li>
                <li style="padding-right: 2rem"><a href="{% url 'user:logout' %}?next=/">Logout</a></li>
            {% else %}
                <li style="padding-right: 2rem"><a href="{% url 'user:login' %}">Login</a></li>
            {% endif %}

        </ul>
    </div>
</nav>
{% block content %}
{% endblock %}
<!--JavaScript at end of body for optimized loading-->
<script type="text/javascript" src="/static/materialize/js/materialize.js"></script>
</body>
</html>

web_app/templates/home.html
{% extends "base.html" %}

{% block content %}
    <div class="container">
        <h3 align="center">Welcome in Reminder Web App!</h3>
    </div>
{% endblock %}